--- title: "Get container list" slug: "analytics-cloudsearch-getcontainerlist" updated: 2026-09-17T09:48:02Z published: 2026-09-17T09:48:02Z canonical: "api.ncloud-docs.com/analytics-cloudsearch-getcontainerlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get container list **We are preparing a localization service for the content. We will do our best to provide the localization service as soon as possible.** Gets a list of containers in a domain. ``` GET https://cloudsearch.apigw.ntruss.com/CloudSearch/real/v1/domain/{name}/container ``` ## Request ### Request Parameters | Parameter | Required | Type | Limitations | Description | | --- | --- | --- | --- | --- | | name | Y | string | | Domain name | ## Response | Field | Type | Description | Note | | --- | --- | --- | --- | | type | string | indexer, searcher | Container type | | containerStatus | number | created, warmup, running, clous_exiting, failed, unknown | Container statuscreated: Just created.warmup: The container is started; a daemon is started and search volumes are being loaded into memory.running: The container is running.The clous_exiting container is exiting.failed: Failed to start or exit the container.unknown: The checker cannot determine the container status. | | memoryUsageBytes | number | | Container’s memory usage (in bytes) | ### Response status | HTTP status | Description | | --- | --- | | 200 | OK (Successfully completed) | | 400 | Bad Request | | 401 | Unauthorized | | 401 | there is no such service | | 403 | Forbidden | | 404 | Not Found | | 500 | Internal Server Error | ## Examples ### Request Example ``` GET /CloudSearch/real/v1/domain/car_beta/container HTTP/1.1 Host:cloudsearch.apigw.ntruss.com accept:application/json x-ncp-apigw-signature-v2: tmD1qimgMww+v6rxPp8sWYuNjyAx5BHTDfx3D7cFGT0= x-ncp-apigw-timestamp: 1551459012579 x-ncp-iam-access-key: teGTwtcSEGA7fu28BGGi ``` ### Request Example ``` [ { "type": "indexer", "containerStatus": "running", "memoryUsageByte": 300716032 }, { "type": "searcher", "containerStatus": "running", "memoryUsageByte": 258715648 } ] ```